Outcomes (scheduler-portlet 2.2.0-SNAPSHOT API)
Date: 2015-11-05

org.gcube.datatransfer.portlets.user.client.obj

## Class Outcomes

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.client.obj.Outcomes

-     public class Outcomes
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Outcomes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDestination()`
    `String` | `getException()`
    `String` | `getFailure()`
    `String` | `getFileName()`
    `String` | `getId()`
    `String` | `getSize()`
    `String` | `getSuccess()`
    `String` | `getTotalMessage()`
    `String` | `getTransferredBytes()`
    `String` | `getTransferTime()`
    `void` | `setDestination(String destination)`
    `void` | `setException(String exception)`
    `void` | `setFailure(String failure)`
    `void` | `setFileName(String fileName)`
    `void` | `setId(String id)`
    `void` | `setSize(String size)`
    `void` | `setSuccess(String success)`
    `void` | `setTotalMessage(String totalMessage)`
    `void` | `setTransferredBytes(String transferredBytes)`
    `void` | `setTransferTime(String transferTime)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Outcomes

          public Outcomes()

  - ### Method Detail

    - #### getFileName

          public String getFileName()

    - #### setFileName

          public void setFileName(String fileName)

    - #### getDestination

          public String getDestination()

    - #### setDestination

          public void setDestination(String destination)

    - #### getSuccess

          public String getSuccess()

    - #### setSuccess

          public void setSuccess(String success)

    - #### getFailure

          public String getFailure()

    - #### setFailure

          public void setFailure(String failure)

    - #### getTransferTime

          public String getTransferTime()

    - #### setTransferTime

          public void setTransferTime(String transferTime)

    - #### getException

          public String getException()

    - #### setException

          public void setException(String exception)

    - #### getTotalMessage

          public String getTotalMessage()

    - #### setTotalMessage

          public void setTotalMessage(String totalMessage)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getTransferredBytes

          public String getTransferredBytes()

    - #### setTransferredBytes

          public void setTransferredBytes(String transferredBytes)

    - #### getSize

          public String getSize()

    - #### setSize

          public void setSize(String size)

Copyright © 2015. All Rights Reserved.